Package org.apache.groovy.util.concurrent

# Class ConcurrentReferenceHashMap.HashIterator

java.lang.Object
org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.HashIterator

Enclosing class:
  ConcurrentReferenceHashMap<K,V>

protected abstract class ConcurrentReferenceHashMap.HashIterator extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasMoreElements()`
  `boolean`
  `hasNext()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### hasMoreElements

    public boolean hasMoreElements()

  - ### hasNext

    public boolean hasNext()

  - ### remove

    public void remove()